AtomRenderer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.rest.render.atom
[Groovy] Class AtomRenderer

    java.lang.Object
      grails.rest.render.AbstractRenderer
          grails.rest.render.AbstractIncludeExcludeRenderer
              grails.rest.render.util.AbstractLinkingRenderer
                  grails.rest.render.hal.HalXmlRenderer
                      grails.rest.render.atom.AtomRenderer

    @groovy.transform.CompileStatic
    class AtomRenderer
    extends HalXmlRenderer

Renders output in Atom format (http://tools.ietf.org/html/rfc4287)

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.text.SimpleDateFormat` | `ATOM_DATE_FORMAT`
`static java.lang.String` | `ATOM_NAMESPACE`
`static MimeType[]` | `DEFAULT_ATOM_MIME_TYPES`
`static java.lang.String` | `ENTRY_TAG`
`static java.lang.String` | `FEED_TAG`
`static java.text.SimpleDateFormat` | `ID_DATE_FORMAT`
`static java.lang.String` | `ID_TAG`
`static MimeType` | `MIME_TYPE`
`static java.lang.String` | `PUBLISHED_TAG`
`static java.lang.String` | `RELATIONSHIP_ALTERNATE`
`static java.lang.String` | `UPDATED_TAG`
`static java.lang.String` | `XMLNS_ATTRIBUTE`

Fields inherited from class HalXmlRenderer
LINK_TAG, MIME_TYPE, RELATIONSHIP_ATTRIBUTE, RESOURCE_TAG

Fields inherited from class AbstractLinkingRenderer
DEFAULT_EXCLUDES, DEPRECATED_ATTRIBUTE, HREFLANG_ATTRIBUTE, HREF_ATTRIBUTE, RELATIONSHIP_SELF, TEMPLATED_ATTRIBUTE, TITLE_ATTRIBUTE, TYPE_ATTRIBUTE

Constructor Summary
`AtomRenderer(java.lang.Class targetType)`

Method Summary
`protected java.lang.String` | `formatAtomDate(java.util.Date dateCreated)`
`protected java.lang.String` | `formatDateCreated(java.lang.Object object)`
`protected java.lang.String` | `formatLastUpdated(java.lang.Object object)`
`java.lang.String` | `generateIdForURI(java.lang.String url, java.util.Date dateCreated = null, java.lang.Object id = null)`
`java.lang.String` | `getObjectId(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object)`
`void` | `renderInternal(java.lang.Object object, RenderContext context)`
`protected void` | `writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, RenderContext context, XML xml, java.util.Set writtenObjects, boolean isFirst = true)`

Methods inherited from class HalXmlRenderer
renderInternal, startResourceTag, startResourceTagForCurrentPath, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink

Methods inherited from class AbstractLinkingRenderer
getLinkTitle, getLinksForObject, getResourceTitle, isDomainResource, render, renderInternal, writeAssociationLinks, writeDomain, writeDomainProperty, writeExtraLinks, writeLink

Methods inherited from class AbstractIncludeExcludeRenderer
excludesProperty, includesProperty, shouldIncludeProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ATOM_DATE_FORMAT

    public static final java.text.SimpleDateFormat ATOM_DATE_FORMAT

### ATOM_NAMESPACE

    public static final java.lang.String ATOM_NAMESPACE

### DEFAULT_ATOM_MIME_TYPES

    public static final MimeType[] DEFAULT_ATOM_MIME_TYPES

### ENTRY_TAG

    public static final java.lang.String ENTRY_TAG

### FEED_TAG

    public static final java.lang.String FEED_TAG

### ID_DATE_FORMAT

    public static final java.text.SimpleDateFormat ID_DATE_FORMAT

### ID_TAG

    public static final java.lang.String ID_TAG

### MIME_TYPE

    public static final MimeType MIME_TYPE

### PUBLISHED_TAG

    public static final java.lang.String PUBLISHED_TAG

### RELATIONSHIP_ALTERNATE

    public static final java.lang.String RELATIONSHIP_ALTERNATE

### UPDATED_TAG

    public static final java.lang.String UPDATED_TAG

### XMLNS_ATTRIBUTE

    public static final java.lang.String XMLNS_ATTRIBUTE

Constructor Detail

### AtomRenderer

    AtomRenderer(java.lang.Class targetType)

Method Detail

### formatAtomDate

    protected java.lang.String formatAtomDate(java.util.Date dateCreated)

### formatDateCreated

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.lang.String formatDateCreated(java.lang.Object object)

### formatLastUpdated

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.lang.String formatLastUpdated(java.lang.Object object)

### generateIdForURI

    java.lang.String generateIdForURI(java.lang.String url, java.util.Date dateCreated = null, java.lang.Object id = null)

### getObjectId

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    java.lang.String getObjectId(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object)

### renderInternal

    @java.lang.Override
    void renderInternal(java.lang.Object object, RenderContext context)

### writeDomainWithEmbeddedAndLinks

    protected void writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, RenderContext context, XML xml, java.util.Set writtenObjects, boolean isFirst = true)

Groovy Documentation